#ident "$Id: i386.h,v 1.4 2001/10/19 06:19:51 hpa Exp $"
/* ----------------------------------------------------------------------- *
 *   
 *   Copyright 2000-2001 H. Peter Anvin - All Rights Reserved
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU Lesser General Public License as
 *   published by the Free Software Foundation, Inc.,
 *   59 Temple Place Ste 330, Boston MA 02111-1307, USA, version 2.1,
 *   incorporated herein by reference.
 *
 * ----------------------------------------------------------------------- */

/*
 * sysdep/i386.h
 *
 * System-specific constants for i386, included from system.h
 */

/* These constants are appropriate for Linux/i386 */

#include "sysdep/32bit.h"

/* This is where we map the database file - must be constant */
/* This is assigned so that if we run on x86-64 or with Andrea's
   "3.5 GB userspace" patches we can fit a 2 GB database and still
   have space for the stack... */
#define ARENA_ADDRESS	((void *)0x58000000UL)
